Package org.apache.avro.util

# Class Schemas

java.lang.Object
org.apache.avro.util.Schemas

public final class Schemas extends Object
Avro Schema utilities, to traverse...

## Method Summary

Modifier and Type
Method
Description
`static <T> T`
`visit(Schema start, SchemaVisitor<T> visitor)`
Depth first visit.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### visit

public static <T> T visit(Schema start, SchemaVisitor<T> visitor)
Depth first visit.